Subject: Re: bug#19850: 25.0.50; [PATCH] configure.ac: Fix site-lisp paths with NS self-contained apps.

From: "Jan D." <[email-masked]>
Date: Fri, 13 Feb 2015 07:57:13 +0100

Hi.

If we keep site-lis as it is, we can have several Emacs versions installed, with different site-lisp:s. Also, changing files in site-lisp does not require root priviliges.
Your change breaks both those feaures.

I don't think this is a good idea.

	Jan D.

> 12 feb 2015 kl. 22:51 skrev David Caldwell <[email-masked]>:
> 
> 
> When building a self contained Mac OS X app, the site-lisp dir that gets
> inserted into `load-path` is not very useful, since it points to the
> Emacs.app in `nextstep/` where emacs was compiled. For example:
> 
> "/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-source/nextstep/Emacs.app/Contents/Resources/share/emacs/24.4/site-lisp"
> 
> I think the site lisp path should be in `/Library/emacs` instead. Here
> is a patch to do just that (created with `git format-patch`, is that
> convenient? I don't know what works best in these cases).
> 
> I patched the trunk, but on reflection, it seems like this should go in
> the 24 branch, too.
> 
> -David
> 
> From c20e8816f3905fa3ec6f82a7f566f7ce32dc178b Mon Sep 17 00:00:00 2001
> From: David Caldwell <[email-masked]>
> Date: Thu, 12 Feb 2015 13:31:36 -0800
> Subject: [PATCH] configure.ac: Fix site-lisp paths with NS self-contained
> apps.
> 
> * configure.ac (HAVE_NS): When self-contained, set datarootdir to
> /Library so PATH_SITELOADSEARCH path points there instead of inside
> the Emacs.app build dir.
> ---
> configure.ac | 2 ++
> 1 file changed, 2 insertions(+)
> 
> diff --git a/configure.ac b/configure.ac
> index 68291b8..3e44a93 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -1872,6 +1872,8 @@ if test "${HAVE_NS}" = yes; then
>      mandir="\${ns_appresdir}/man"
>      lispdir="\${ns_appresdir}/lisp"
>      INSTALL_ARCH_INDEP_EXTRA=
> +     # This is so PATH_SITELOADSEARCH gets set to /Library/emacs/...
> +     datarootdir=/Library
>   fi
> 
>   NS_OBJC_OBJ="nsterm.o nsfns.o nsmenu.o nsselect.o nsimage.o $ns_fontfile"
> --
> 2.2.2
> <mac-site-lisp-path.patch>